import { ICountry, IRole } from '../services/api/Auth/Tools';
import { IGroup } from '../services/api/Auth/Groups';
import { IUser } from '../services/api/common.models';
import { ISandboxesModel } from '../services/api/Development/Sandboxes';
import { IGlobalPlugin } from '../services/api/Auth/Abonnements';

interface IDictionaryState {
    roles: IRole[];
    groups: IGroup[];
    users: IUser[];
    plugins: IGlobalPlugin[];
    selectedSandbox: ISandboxesModel | null;
    countries: ICountry[];
    lastRoute: string;
}
export declare const useDictionary: import('pinia').StoreDefinition<"core-dictionary", IDictionaryState, {}, {
    ensureRoles(force?: boolean): Promise<any>;
    ensureGroups(force?: boolean): Promise<any>;
    ensureUsers(force?: boolean): Promise<any>;
    ensurePlugins(force?: boolean): Promise<any>;
    ensureCountries(): Promise<any>;
}>;
export {};
